No tomcat6-log4j package available past 6.0.24-24

Solution Verified - Updated -

Issue

  • Cannot install the latest available tomcat6-log4j package with the latest other tomcat6* packages already installed:
# yum list installed tomcat6*
Loaded plugins: rhnplugin, security
Installed Packages
tomcat6.noarch                   6.0.24-45.el6    @rhel-x86_64-server-6
tomcat6-admin-webapps.noarch     6.0.24-45.el6    @rhel-x86_64-server-optional-6
tomcat6-docs-webapp.noarch       6.0.24-45.el6    @rhel-x86_64-server-optional-6
tomcat6-el-2.1-api.noarch        6.0.24-45.el6    @rhel-x86_64-server-6
tomcat6-javadoc.noarch           6.0.24-45.el6    @rhel-x86_64-server-optional-6
tomcat6-jsp-2.1-api.noarch       6.0.24-45.el6    @rhel-x86_64-server-6
tomcat6-lib.noarch               6.0.24-45.el6    @rhel-x86_64-server-6
tomcat6-servlet-2.5-api.noarch   6.0.24-45.el6    @rhel-x86_64-server-6
tomcat6-webapps.noarch           6.0.24-45.el6    @rhel-x86_64-server-optional-6

# yum list available tomcat6*
Loaded plugins: rhnplugin, security
Available Packages
tomcat6-log4j.noarch        6.0.24-24.el6_0        rhel-x86_64-server-optional-6

# yum install tomcat6-log4j.noarch
Loaded plugins: rhnplugin, security
Setting up Install Process
Nothing to do

# yumdownloader --destdir /tmp tomcat6-log4j.noarch
Loaded plugins: rhnplugin
tomcat6-log4j-6.0.24-24.el6_0.noarch.rpm                 | 346 kB     00:00

# rpm -ivh /tmp/tomcat6-log4j-6.0.24-24.el6_0.noarch.rpm
Preparing...                ########################################### [100%]
        file /usr/share/java/tomcat6/log4j.jar from install of tomcat6-log4j-0:6.0.24-24.el6_0.noarch conflicts with file from package tomcat6-lib-0:6.0.24-45.el6.noarch

Environment

  • Red Hat Enterprise Linux Server 6
  • Red Hat Enterprise Linux Server 6 Optional child channel

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In